Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453761 - FreeRADIUS %post should not include chown -R
Summary: FreeRADIUS %post should not include chown -R
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: freeradius
Version: 9
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: John Dennis
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-02 13:02 UTC by Jos Vos
Modified: 2008-08-01 01:46 UTC (History)
1 user (show)

Fixed In Version: freeradius-2.0.5-2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-30 14:18:17 UTC


Attachments (Terms of Use)

Description Jos Vos 2008-07-02 13:02:22 UTC
Description of problem:
Shouldn't the recursive chown in %post, conflicting with the specified
permissions in %files (!), be replaced by proper %attr settings in %files or
otherwise be omitted at all?  AFAIK using chown in %post sections only can be
justified in very rare cases and this is not such a case, I think.

Version-Release number of selected component (if applicable):
2.0.5-1.fc9

Comment 1 John Dennis 2008-07-02 14:24:59 UTC
Thank you for your good eyes Jos, I absolutely agree. The upstream spec file for
2.x had this and I did a fair amount of cut-n-paste from that spec file when I
brought our version up to 2.x. Apparently I missed this operation in %post when
I was doing some cut-n-paste. I will fix it immediately.

Comment 2 John Dennis 2008-07-30 14:18:17 UTC
fixed in freeradius-2.0.5-2

Comment 3 Fedora Update System 2008-07-30 14:56:00 UTC
freeradius-2.0.5-2.fc9 has been submitted as an update for Fedora 9

Comment 4 Fedora Update System 2008-08-01 01:46:24 UTC
freeradius-2.0.5-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.